GWT 2.7.0

## com.google.gwt.user.client.rpc
Class SerializationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gwt.user.client.rpc.SerializationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SerializedTypeViolationException

    public class SerializationException

extends java.lang.Exception

Base exception type for errors relating to the serialization stream.

See Also:
  Serialized Form

Constructor Summary
`SerializationException()`
`SerializationException(java.lang.String msg)`
`SerializationException(java.lang.String msg, java.lang.Throwable cause)`
`SerializationException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializationException

    public SerializationException()

### SerializationException

    public SerializationException(java.lang.String msg)

### SerializationException

    public SerializationException(java.lang.String msg,
                                  java.lang.Throwable cause)

### SerializationException

    public SerializationException(java.lang.Throwable cause)

GWT 2.7.0